// Code generated by protoc-gen-go. DO NOT EDIT.
// source: signature_command.proto

package pb

import (
	context "context"
	fmt "fmt"
	proto "github.com/golang/protobuf/proto"
	grpc "google.golang.org/grpc"
	codes "google.golang.org/grpc/codes"
	status "google.golang.org/grpc/status"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

type Empty struct {
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *Empty) Reset()         { *m = Empty{} }
func (m *Empty) String() string { return proto.CompactTextString(m) }
func (*Empty) ProtoMessage()    {}
func (*Empty) Descriptor() ([]byte, []int) {
	return fileDescriptor_34886e39175d40fd, []int{0}
}

func (m *Empty) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_Empty.Unmarshal(m, b)
}
func (m *Empty) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_Empty.Marshal(b, m, deterministic)
}
func (m *Empty) XXX_Merge(src proto.Message) {
	xxx_messageInfo_Empty.Merge(m, src)
}
func (m *Empty) XXX_Size() int {
	return xxx_messageInfo_Empty.Size(m)
}
func (m *Empty) XXX_DiscardUnknown() {
	xxx_messageInfo_Empty.DiscardUnknown(m)
}

var xxx_messageInfo_Empty proto.InternalMessageInfo

type SignatureResponse struct {
	PrivateKey           string   `protobuf:"bytes,1,opt,name=PrivateKey,proto3" json:"PrivateKey,omitempty"`
	PublicKey            string   `protobuf:"bytes,2,opt,name=PublicKey,proto3" json:"PublicKey,omitempty"`
	PrivateKeyBase64     string   `protobuf:"bytes,3,opt,name=PrivateKeyBase64,proto3" json:"PrivateKeyBase64,omitempty"`
	PublicKeyBase64      string   `protobuf:"bytes,4,opt,name=PublicKeyBase64,proto3" json:"PublicKeyBase64,omitempty"`
	Status               string   `protobuf:"bytes,5,opt,name=Status,proto3" json:"Status,omitempty"`
	Message              string   `protobuf:"bytes,66,opt,name=Message,proto3" json:"Message,omitempty"`
	XXX_NoUnkeyedLiteral struct{} `json:"-"`
	XXX_unrecognized     []byte   `json:"-"`
	XXX_sizecache        int32    `json:"-"`
}

func (m *SignatureResponse) Reset()         { *m = SignatureResponse{} }
func (m *SignatureResponse) String() string { return proto.CompactTextString(m) }
func (*SignatureResponse) ProtoMessage()    {}
func (*SignatureResponse) Descriptor() ([]byte, []int) {
	return fileDescriptor_34886e39175d40fd, []int{1}
}

func (m *SignatureResponse) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_SignatureResponse.Unmarshal(m, b)
}
func (m *SignatureResponse) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_SignatureResponse.Marshal(b, m, deterministic)
}
func (m *SignatureResponse) XXX_Merge(src proto.Message) {
	xxx_messageInfo_SignatureResponse.Merge(m, src)
}
func (m *SignatureResponse) XXX_Size() int {
	return xxx_messageInfo_SignatureResponse.Size(m)
}
func (m *SignatureResponse) XXX_DiscardUnknown() {
	xxx_messageInfo_SignatureResponse.DiscardUnknown(m)
}

var xxx_messageInfo_SignatureResponse proto.InternalMessageInfo

func (m *SignatureResponse) GetPrivateKey() string {
	if m != nil {
		return m.PrivateKey
	}
	return ""
}

func (m *SignatureResponse) GetPublicKey() string {
	if m != nil {
		return m.PublicKey
	}
	return ""
}

func (m *SignatureResponse) GetPrivateKeyBase64() string {
	if m != nil {
		return m.PrivateKeyBase64
	}
	return ""
}

func (m *SignatureResponse) GetPublicKeyBase64() string {
	if m != nil {
		return m.PublicKeyBase64
	}
	return ""
}

func (m *SignatureResponse) GetStatus() string {
	if m != nil {
		return m.Status
	}
	return ""
}

func (m *SignatureResponse) GetMessage() string {
	if m != nil {
		return m.Message
	}
	return ""
}

func init() {
	proto.RegisterType((*Empty)(nil), "Empty")
	proto.RegisterType((*SignatureResponse)(nil), "SignatureResponse")
}

func init() {
	proto.RegisterFile("signature_command.proto", fileDescriptor_34886e39175d40fd)
}

var fileDescriptor_34886e39175d40fd = []byte{
	// 226 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0xe2, 0x12, 0x2f, 0xce, 0x4c, 0xcf,
	0x4b, 0x2c, 0x29, 0x2d, 0x4a, 0x8d, 0x4f, 0xce, 0xcf, 0xcd, 0x4d, 0xcc, 0x4b, 0xd1, 0x2b, 0x28,
	0xca, 0x2f, 0xc9, 0x57, 0x62, 0xe7, 0x62, 0x75, 0xcd, 0x2d, 0x28, 0xa9, 0x54, 0xba, 0xc9, 0xc8,
	0x25, 0x18, 0x0c, 0x53, 0x14, 0x94, 0x5a, 0x5c, 0x90, 0x9f, 0x57, 0x9c, 0x2a, 0x24, 0xc7, 0xc5,
	0x15, 0x50, 0x94, 0x59, 0x96, 0x58, 0x92, 0xea, 0x9d, 0x5a, 0x29, 0xc1, 0xa8, 0xc0, 0xa8, 0xc1,
	0x19, 0x84, 0x24, 0x22, 0x24, 0xc3, 0xc5, 0x19, 0x50, 0x9a, 0x94, 0x93, 0x99, 0x0c, 0x92, 0x66,
	0x02, 0x4b, 0x23, 0x04, 0x84, 0xb4, 0xb8, 0x04, 0x10, 0x6a, 0x9d, 0x12, 0x8b, 0x53, 0xcd, 0x4c,
	0x24, 0x98, 0xc1, 0x8a, 0x30, 0xc4, 0x85, 0x34, 0xb8, 0xf8, 0xe1, 0x1a, 0xa1, 0x4a, 0x59, 0xc0,
	0x4a, 0xd1, 0x85, 0x85, 0xc4, 0xb8, 0xd8, 0x82, 0x4b, 0x12, 0x4b, 0x4a, 0x8b, 0x25, 0x58, 0xc1,
	0x0a, 0xa0, 0x3c, 0x21, 0x09, 0x2e, 0x76, 0xdf, 0xd4, 0xe2, 0xe2, 0xc4, 0xf4, 0x54, 0x09, 0x27,
	0xb0, 0x04, 0x8c, 0x6b, 0xe4, 0xc6, 0x25, 0xe8, 0x09, 0xf7, 0x9b, 0x33, 0xc4, 0xff, 0x42, 0x86,
	0x5c, 0x82, 0xee, 0xa9, 0x79, 0xa9, 0x45, 0x89, 0x25, 0xa9, 0x70, 0x39, 0x21, 0x36, 0x3d, 0x70,
	0x68, 0x48, 0x09, 0xe9, 0x61, 0x84, 0x85, 0x12, 0x83, 0x13, 0x4b, 0x14, 0x53, 0x41, 0x52, 0x12,
	0x1b, 0x38, 0xe4, 0x8c, 0x01, 0x01, 0x00, 0x00, 0xff, 0xff, 0x5a, 0x7b, 0x69, 0x50, 0x54, 0x01,
	0x00, 0x00,
}

// Reference imports to suppress errors if they are not otherwise used.
var _ context.Context
var _ grpc.ClientConnInterface

// This is a compile-time assertion to ensure that this generated file
// is compatible with the grpc package it is being compiled against.
const _ = grpc.SupportPackageIsVersion6

// ISignatureCommandClient is the client API for ISignatureCommand service.
//
// For semantics around ctx use and closing/ending streaming RPCs, please refer to https://godoc.org/google.golang.org/grpc#ClientConn.NewStream.
type ISignatureCommandClient interface {
	GenerateSignature(ctx context.Context, in *Empty, opts ...grpc.CallOption) (*SignatureResponse, error)
}

type iSignatureCommandClient struct {
	cc grpc.ClientConnInterface
}

func NewISignatureCommandClient(cc grpc.ClientConnInterface) ISignatureCommandClient {
	return &iSignatureCommandClient{cc}
}

func (c *iSignatureCommandClient) GenerateSignature(ctx context.Context, in *Empty, opts ...grpc.CallOption) (*SignatureResponse, error) {
	out := new(SignatureResponse)
	err := c.cc.Invoke(ctx, "/ISignatureCommand/GenerateSignature", in, out, opts...)
	if err != nil {
		return nil, err
	}
	return out, nil
}

// ISignatureCommandServer is the server API for ISignatureCommand service.
type ISignatureCommandServer interface {
	GenerateSignature(context.Context, *Empty) (*SignatureResponse, error)
}

// UnimplementedISignatureCommandServer can be embedded to have forward compatible implementations.
type UnimplementedISignatureCommandServer struct {
}

func (*UnimplementedISignatureCommandServer) GenerateSignature(ctx context.Context, req *Empty) (*SignatureResponse, error) {
	return nil, status.Errorf(codes.Unimplemented, "method GenerateSignature not implemented")
}

func RegisterISignatureCommandServer(s *grpc.Server, srv ISignatureCommandServer) {
	s.RegisterService(&_ISignatureCommand_serviceDesc, srv)
}

func _ISignatureCommand_GenerateSignature_Handler(srv interface{}, ctx context.Context, dec func(interface{}) error, interceptor grpc.UnaryServerInterceptor) (interface{}, error) {
	in := new(Empty)
	if err := dec(in); err != nil {
		return nil, err
	}
	if interceptor == nil {
		return srv.(ISignatureCommandServer).GenerateSignature(ctx, in)
	}
	info := &grpc.UnaryServerInfo{
		Server:     srv,
		FullMethod: "/ISignatureCommand/GenerateSignature",
	}
	handler := func(ctx context.Context, req interface{}) (interface{}, error) {
		return srv.(ISignatureCommandServer).GenerateSignature(ctx, req.(*Empty))
	}
	return interceptor(ctx, in, info, handler)
}

var _ISignatureCommand_serviceDesc = grpc.ServiceDesc{
	ServiceName: "ISignatureCommand",
	HandlerType: (*ISignatureCommandServer)(nil),
	Methods: []grpc.MethodDesc{
		{
			MethodName: "GenerateSignature",
			Handler:    _ISignatureCommand_GenerateSignature_Handler,
		},
	},
	Streams:  []grpc.StreamDesc{},
	Metadata: "signature_command.proto",
}
